Bug 1253001 - testsuite failure - main.mysqlslap
testsuite failure - main.mysqlslap
Status: CLOSED EOL
Product: Red Hat Software Collections
Classification: Red Hat
Component: mysql (Show other bugs)
rh-mysql56
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Schorm
qe-baseos-daemons
:
Depends On:
Blocks: 1253478
  Show dependency treegraph
 
Reported: 2015-08-12 13:06 EDT by Karel Volný
Modified: 2018-05-02 10:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1253478 (view as bug list)
Environment:
Last Closed: 2018-05-02 10:04:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2015-08-12 13:06:59 EDT
Description of problem:
the following error appears when rebuilding the package on RHEL7 stablesystems:


main.mysqlslap                           w2 [ fail ]
        Test ended at 2015-08-12 06:38:23

CURRENT_TEST: main.mysqlslap
mysqltest: At line 11: command "$MYSQL_SLAP --only-print --delimiter=";" --query="select * from t1;select * from t2" --create="CREATE TABLE t1 (id int, name varchar(64)); create table t2(foo1 varchar(32), foo2 varchar(32)); INSERT INTO t1 VALUES (1, 'This is a test'); insert into t2 values ('test', 'test2')" --engine="heap,myisam"" failed

Output from before failure:
exec of '/home/test/rpmbuild/BUILD/mysql-5.6.26/build/client//mysqlslap --defaults-file=/home/test/rpmbuild/BUILD/mysql-5.6.26/build/mysql-test/var/2/my.cnf --only-print --delimiter=";" --query="select * from t1;select * from t2" --create="CREATE TABLE t1 (id int, name varchar(64)); create table t2(foo1 varchar(32), foo2 varchar(32)); INSERT INTO t1 VALUES (1, 'This is a test'); insert into t2 values ('test', 'test2')" --engine="heap,myisam"' failed, error: 139, status: 0, errno: 0



The result from queries just before the failure was:
< snip >
select * from t1;
DROP SCHEMA IF EXISTS `mysqlslap`;
CREATE SCHEMA `mysqlslap`;
use mysqlslap;
CREATE TABLE t1 (id int, name varchar(64));
INSERT INTO t1 VALUES (1, 'This is a test');
select * from t1;
DROP SCHEMA IF EXISTS `mysqlslap`;
CREATE SCHEMA `mysqlslap`;
use mysqlslap;
CREATE TABLE t1 (id int, name varchar(64));
INSERT INTO t1 VALUES (1, 'This is a test');
select * from t1;
DROP SCHEMA IF EXISTS `mysqlslap`;
CREATE SCHEMA `mysqlslap`;
use mysqlslap;
CREATE TABLE t1 (id int, name varchar(64));
INSERT INTO t1 VALUES (1, 'This is a test');
select * from t1;
DROP SCHEMA IF EXISTS `mysqlslap`;

More results from queries before failure can be found in /home/test/rpmbuild/BUILD/mysql-5.6.26/build/mysql-test/var/2/log/mysqlslap.log

 - saving '/home/test/rpmbuild/BUILD/mysql-5.6.26/build/mysql-test/var/2/log/main.mysqlslap/' to '/home/test/rpmbuild/BUILD/mysql-5.6.26/build/mysql-test/var/log/main.mysqlslap/'

Version-Release number of selected component (if applicable):
rh-mysql56-mysql-5.6.26-1.el7

How reproducible:
always

Steps to Reproduce:
1. run TPS for the erratum

Additional info:
http://bugs.mysql.com/bug.php?id=78042
Comment 2 Honza Horak 2015-08-17 06:19:14 EDT
Upstream report with two variants of fix: http://bugs.mysql.com/bug.php?id=78042

But I agree with fixing this later, this is not regression, it's happening only seldom and shouldn't make any problems for users (mysqlspap is not very important in deployment).
Comment 7 Joe Orton 2018-01-31 09:02:45 EST
Red Hat does not currently plan to provide any further changes to this collection in a Red Hat Software Collections update release.

This software collection is nearing the retirement date (April 2018) after which customers are encouraged to upgrade to a later release.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/

Note You need to log in before you can comment on or make changes to this bug.